%define name perl-HTML-Tagset
%define real_name HTML-Tagset
%define module HTML-Tagset
%define version 3.03
%define release 5mdk

Summary: 	This module contains data tables useful in dealing with HTML.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source:		http://www.cpan.org/authors/id/S/SB/SBURKE/%{real_name}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildArchitectures: noarch
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl

%description
This module contains data tables useful in dealing with HTML.

It provides no functions or methods.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_mandir}/*/*
%{perl_vendorlib}/HTML

%changelog
* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 3.03-5mdk
- rebuild for perl 5.8.0

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.03-4mdk
- should be noarch

* Mon Nov 12 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.03-3mdk
- Remove Distribution Tag.
- Fix no-url-tag and invalid-packager warnings.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 3.03-2mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 3.03-1mdk
- First Mandrake Release.
